package com.yang.test.service;

import com.yang.test.domain.Category;
import com.yang.test.domain.DTO.ResultResponse;
import com.yang.test.domain.QuestionH;
import com.yang.test.domain.TestResult;

import java.util.List;
import java.util.Map;

public interface HldzyService {
    /**
     * 获取所有问题
     */
    List<QuestionH> getAllQuestions();
    
    /**
     * 根据键值获取类型
     */
    Category getCategoryByKey(String cateKey);
    
    /**
     * 计算测试结果
     */
    ResultResponse calculateResult(Map<String, Integer> answers);
    
    /**
     * 保存测试结果
     */
    Long saveResult(TestResult testResult);
}